<template>
  <v-list-item>
    <v-list-item-content>
      <v-row>
        <v-col>
          <v-list-item-title>{{ address.street }}</v-list-item-title>
          <v-list-item-subtitle>{{
            address.postalCode + ' ' + address.city
          }}</v-list-item-subtitle>
          <v-list-item-subtitle>{{ address.country }}</v-list-item-subtitle>
        </v-col>
        <v-col v-if="deletable" cols="4" class="text-right">
          <v-btn @click="deleteAddress(address)">Delete</v-btn>
        </v-col>
      </v-row>
    </v-list-item-content>
  </v-list-item>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    address: {
      type: Object,
      required: true,
    },
    deletable: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
  methods: {
    // deleteAddress(address: object) {
    // TODO: AXIOS delete
    // },
  },
})
</script>
